OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeBSplineSurfaceWithKnots Class Reference

This class implements the mapping between class
BSplineSurface from Geom and the class
BSplineSurfaceWithKnots from
StepGeom which describes a
bspline_Surface_with_knots from Prostep
.

`#include <GeomToStep_MakeBSplineSurfaceWithKnots.hxx>`

Inheritance diagram for GeomToStep_MakeBSplineSurfaceWithKnots:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeBSplineSurfaceWithKnots (const Handle(Geom_BSplineSurface)&Bsplin)
Standard_EXPORT const Handle_StepGeom_BSplineSurfaceWithKnots & | Value () const
## Private Attributes
Handle_StepGeom_BSplineSurfaceWithKnots | theBSplineSurfaceWithKnots

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeBSplineSurfaceWithKnots::GeomToStep_MakeBSplineSurfaceWithKnots | ( | const Handle(Geom_BSplineSurface)& | Bsplin | ) |

## Member Function Documentation

void GeomToStep_MakeBSplineSurfaceWithKnots::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeBSplineSurfaceWithKnots::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeBSplineSurfaceWithKnots::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_BSplineSurfaceWithKnots& GeomToStep_MakeBSplineSurfaceWithKnots::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_BSplineSurfaceWithKnots GeomToStep_MakeBSplineSurfaceWithKnots::theBSplineSurfaceWithKnots`[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeBSplineSurfaceWithKnots.hxx